package util

import (
	commonConfig "cicv-data-closedloop/kinglong/common/cfg"
	"cicv-data-closedloop/kinglong/common/cutil"
	"strings"
)

func MoveFromDataToCopy(faultTime string, sourceBag string) {
	dir := GetCopyDir(faultTime)
	cutil.CreateDir(dir)
	targetBag := strings.Replace(sourceBag, commonConfig.CloudConfig.BagDataDir, dir, 1)
	var copyCommand []string
	copyCommand = append(copyCommand, sourceBag)
	copyCommand = append(copyCommand, targetBag)
	Execute("mv", copyCommand...)
}
